package com.zcxk.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.dto.LoginLogDto;
import com.zcxk.entity.LoginLogEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description 登录日志数据层
 * @auto wangli
 * @data 2020-10-26 17:05
 */
@Mapper
public interface LoginLogMapper {
    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    LoginLogDto selectById(Long id);

    /**
     * 查询全部
     *
     * @return 对象列表
     */
    List<LoginLogDto> selectAll();

    /**
     * 通过实体作为筛选条件查询
     *
     * @param loginLogEntity 实例对象
     * @return 对象列表
     */
    List<LoginLogDto> selectList(LoginLogEntity loginLogEntity);

    /**
     * 新增数据
     *
     * @param loginLogEntity 实例对象
     * @return 影响行数
     */
    int insert(LoginLogEntity loginLogEntity);

    /**
     * 批量新增
     *
     * @param loginLogEntities 实例对象的集合
     * @return 影响行数
     */
    int batchInsert(List<LoginLogEntity> loginLogEntities);

    /**
     * 修改数据
     *
     * @param loginLogEntity 实例对象
     * @return 影响行数
     */
    int update(LoginLogEntity loginLogEntity);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Long id);

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    int count();

    IPage<LoginLogDto> selectPage(IPage<LoginLogDto> page, LoginLogDto loginLogDto);

    List<LoginLogDto> selectListByIds(@Param("ids") Long[] ids);
}
